## BITCMP Bitwise Boolean Complement Operation

Section: Bitwise Operations

### Usage

Performs a bitwise binary complement operation on the argument and returns the result. The syntax for its use is

       y = bitcmp(a)

where `a` is an unsigned integer arrays. This version of the command uses as many bits as required by the type of `a`. For example, if `a` is an `uint8` type, then the complement is formed using 8 bits. The second form of `bitcmp` allows you to specify the number of bits to use,

       y = bitcmp(a,n)

in which case the complement is taken with respect to `n` bits.

### Example

Generally, the bitwise complement of a number is known as its ones-complement. Here are some examples. First we take the binary complement using 8 bits.

    --> bitcmp(uint8(55))

    ans =

     200

Then the complement using 16 bits

    --> bitcmp(uint16(55))

    ans =

     65480

Finally, we look for the 4 bit complement

    --> bitcmp(3,4)

    ans =

     12